org.mariadb.jdbc.internal.common.packet

## Enum ResultPacket.ResultType

- java.lang.Object
- - java.lang.Enum<ResultPacket.ResultType>
  - - org.mariadb.jdbc.internal.common.packet.ResultPacket.ResultType

All Implemented Interfaces:
  Serializable, Comparable<ResultPacket.ResultType>

Enclosing class:
  ResultPacket

    public static enum ResultPacket.ResultType
    extends Enum<ResultPacket.ResultType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`EOF`
`ERROR`
`FIELD`
`LOCALINFILE`
`OK`
`RESULTSET`

### Method Summary

Methods
`static ResultPacket.ResultType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ResultPacket.ResultType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OK

    public static final ResultPacket.ResultType OK

#### ERROR

    public static final ResultPacket.ResultType ERROR

#### EOF

    public static final ResultPacket.ResultType EOF

#### RESULTSET

    public static final ResultPacket.ResultType RESULTSET

#### LOCALINFILE

    public static final ResultPacket.ResultType LOCALINFILE

#### FIELD

    public static final ResultPacket.ResultType FIELD

### Method Detail

#### values

    public static ResultPacket.ResultType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ResultPacket.ResultType c : ResultPacket.ResultType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ResultPacket.ResultType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null